{% extends "base.html" %}

{% block content %}

    <h1>Vehicles for sale</h1>
    <table>
        <caption>Latest Vehicles</caption>
        <thead>
            <tr>
                <th>Brand</th>
                <th>Model</th>
                <th>Year</th>
                <th>Transmission</th>
            </tr>
        </thead>
        <tbody>
            {% for vehicle in vehicles %}
            <tr>
                <td>{{ vehicle.brand }}</td>
                <td>{{ vehicle.model }}</td>
                <td>{{ vehicle.year }}</td>
                <td>{{ vehicle.transmission }}</td>
                <td>
                    <a href="{% url 'vehicle_detail' pk=vehicle.id %}">View Details</a>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock content %}